[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

RPM Package Group "Graphics" causing yumex/pup to error out.



Here is the error I am receiving:
12:30:42 : Setup Yum : Groups
12:30:43 : Getting : ftp://mirror.newnanutilities.org/pub/fedora/linux/core/6/i386/os/repodata/comps.xml 12:30:45 : Getting : http://ayo.pt.freshrpms.net/fedora/linux/6/i386/freshrpms/repodata/comps.xml 12:30:45 : Getting : http://fedora.cat.pdx.edu/linux/extras/6/i386/repodata/comps.xml
112:30:49 : Error Type: yum.comps.CompsException
12:30:49 : Error Value:
12:30:49 : Traceback:
12:30:49 :   File : /usr/share/yumex/yumex.py , line 669, in ?
12:30:49 :     mainApp = YumexApplication()
12:30:49 :   File : /usr/share/yumex/yumex.py , line 371, in __init__
12:30:49 :     self.resetYum()
12:30:49 :   File : /usr/share/yumex/yumex.py , line 385, in resetYum
12:30:49 :     self.yumbase._setupBase()
12:30:49 :   File : /usr/share/yumex/yumapi.py , line 75, in _setupBase
12:30:49 :     self.doGroupSetup()
12:30:49 : File : /usr/lib/python2.4/site-packages/yum/__init__.py , line 408, in doGroupSetup
12:30:49 :     self.comps.add(groupfile)
12:30:49 : File : /usr/lib/python2.4/site-packages/yum/comps.py , line 339, in add
12:30:49 :     group = Group(elem)
12:30:49 : File : /usr/lib/python2.4/site-packages/yum/comps.py , line 57, in __init__
12:30:49 :     self.parse(elem)
12:30:49 : File : /usr/lib/python2.4/site-packages/yum/comps.py , line 133, in parse
12:30:49 :     self.parse_package_list(child)
12:30:49 : File : /usr/lib/python2.4/site-packages/yum/comps.py , line 143, in parse_package_list
12:30:49 :     raise CompsException

Once I downloaded the comps.xml file myself, and walked through the code, I found the offending entries in the comps.xml listed below:
 <group>
   <id>graphics</id>
   <name>Graphics</name>
<description>This group includes packages to help you manipulate and scan images.</description>
   <default>true</default>
   <uservisible>true</uservisible>
   <packagelist>
     <packagereq type="optional">agave</packagereq>
     <packagereq type="optional">asymptote</packagereq>
     <packagereq type="optional">blender</packagereq>
     <packagereq type="optional">comix</packagereq>
     <packagereq type="optional">digikam</packagereq>
<packagereq type="optinoal">digikamimageplugins</packagereq> <!-- Offending Line -->

I walked through the stacktrace and found that "optinoal" is not a supported type. It should be "optional". I'm not sure who to send this bug to, so I figured I'd post it out here.
Setup:
kernel-2.6.19-i686
yum-3.0.3-noarch
yumex-1.9.2-noarch
yum-metadata-parser-1.0.3-i386


--

__________________________________
Jeremy Nix
Senior Application Developer
Southwest Financial Services, Ltd.
(513) 621-6699


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]